### Method

# Foundry Debugger dup_primary_thread

since: 1.1

#### Declaration [src]

    FoundryDebuggerThread*
    foundry_debugger_dup_primary_thread (
      FoundryDebugger* self
    )

#### Description [src]

Gets a copy of the primary thread (the first thread created by the debugger).

Available since: 1.1

#### Return value

Type: `FoundryDebuggerThread`

A `FoundryDebuggerThread` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.